osg::InfinitePlane Class Reference

`#include <Shape>`

Inheritance diagram for osg::InfinitePlane:

## Public Member Functions

| InfinitePlane ()
| InfinitePlane (const InfinitePlane &plane, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Shape (osg, InfinitePlane)
Public Member Functions inherited from osg::Shape
| Shape ()
| Shape (const Shape &sa, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
virtual const char * | className () const
virtual void | accept (ShapeVisitor &)=0
virtual void | accept (ConstShapeVisitor &) const =0
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const
Public Member Functions inherited from osg::Plane
| Plane ()
| Default constructor.
| Plane (const Plane &pl)
| Plane (value_type a, value_type b, value_type c, value_type d)
| Constructor.
| Plane (const Vec4f &vec)
| Constructor.
| Plane (const Vec4d &vec)
| Constructor.
| Plane (const Vec3_type &norm, value_type d)
| Constructor.
| Plane (const Vec3_type &v1, const Vec3_type &v2, const Vec3_type &v3)
| Constructor.
| Plane (const Vec3_type &norm, const Vec3_type &point)
| Constructor.
Plane & | operator= (const Plane &pl)
void | set (const Plane &pl)
void | set (value_type a, value_type b, value_type c, value_type d)
void | set (const Vec4f &vec)
void | set (const Vec4d &vec)
void | set (const Vec3_type &norm, double d)
void | set (const Vec3_type &v1, const Vec3_type &v2, const Vec3_type &v3)
void | set (const Vec3_type &norm, const Vec3_type &point)
void | flip ()
void | makeUnitLength ()
void | calculateUpperLowerBBCorners ()
bool | valid () const
| Checks if all internal values describing the plane have valid numbers.
bool | isNaN () const
bool | operator== (const Plane &plane) const
bool | operator!= (const Plane &plane) const
bool | operator< (const Plane &plane) const
value_type * | ptr ()
const value_type * | ptr () const
Vec4_type | asVec4 () const
value_type & | operator[] (unsigned int i)
value_type | operator[] (unsigned int i) const
Vec3_type | getNormal () const
float | distance (const osg::Vec3f &v) const
double | distance (const osg::Vec3d &v) const
float | dotProductNormal (const osg::Vec3f &v) const
double | dotProductNormal (const osg::Vec3d &v) const
int | intersect (const std::vector< Vec3f > &vertices) const
int | intersect (const std::vector< Vec3d > &vertices) const
int | intersect (const BoundingSphere &bs) const
int | intersect (const BoundingBox &bb) const
void | transform (const osg::Matrix &matrix)
void | transformProvidingInverse (const osg::Matrix &matrix)

## Protected Member Functions

virtual | ~InfinitePlane ()
Protected Member Functions inherited from osg::Shape
virtual | ~Shape ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Public Types inherited from osg::Plane
enum | { num_components = 3 }
typedef double | value_type
typedef Vec3d | Vec3_type
typedef Vec4d | Vec4_type
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount
Protected Attributes inherited from osg::Plane
value_type | _fv [4]
unsigned int | _upperBBCorner
unsigned int | _lowerBBCorner

## Detailed Description

Deprecated.

## Constructor & Destructor Documentation

## InfinitePlane() [1/2]

osg::InfinitePlane::InfinitePlane | ( |  | ) |

inline

Referenced by InfinitePlane(), and META_Shape().

## InfinitePlane() [2/2]

osg::InfinitePlane::InfinitePlane | ( | const InfinitePlane & | plane,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY )

inline

References InfinitePlane(), osg::Plane::Plane(), osg::CopyOp::SHALLOW_COPY, and osg::Shape::Shape().

## ~InfinitePlane()

virtual osg::InfinitePlane::~InfinitePlane | ( |  | ) |

protected virtual

## Member Function Documentation

## META_Shape()

osg::InfinitePlane::META_Shape | ( | osg | ,
|  | InfinitePlane | )

References InfinitePlane().

The documentation for this class was generated from the following file:

- Shape